/usr/bin/openturns-config is in libopenturns-dev 0.15-2.
This file is owned by root:root, with mode 0o755.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 350 351 352 353 354 355 356 357 358 359 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 383 384 385 386 387 388 389 | #! /bin/sh
# -*- Shell-script -*-
#
# openturns-config-build.in / openturns-config-build / openturns-config
#
# (C) Copyright 2005-2011 EDF
#
# Permission to copy, use, modify, sell and distribute this software
# is granted provided this copyright notice appears in all copies.
# This software is provided "as is" without express or implied
# warranty, and with no claim as to its suitability for any purpose.
#
#
# Author : $LastChangedBy: dutka $
# Date : $LastChangedDate: 2008-10-31 16:07:46 +0100 (Fri, 31 Oct 2008) $
# Id : $Id: openturns-config.in 996 2008-10-31 15:07:46Z dutka $
#
# This script provides external information on how and where Open TURNS is installed
#
# Set this variable to yes if the script is located in its target directory
installed=yes
# The installation process renames the script (by removing an extra -build to its name)
case $0 in
*-build) installed=no ;;
esac
abs_top_srcdir=/build/buildd/openturns-0.15/lib
top_srcdir=..
srcdir=.
top_builddir=..
version=0.15
bugreport=bugs@openturns.org
package=openturns
#swig=@SWIG@
R=/usr/bin/R
win32=0
if test $win32 = 1
then
prefix=c:/openturns
else
prefix=/usr
fi
exec_prefix=${prefix}
bindir=${exec_prefix}/sbin
sbindir=${exec_prefix}/bin
libdir=${exec_prefix}/lib
libexecdir=${prefix}/lib/openturns
sysconfdir=/etc
datarootdir=${prefix}/share/$package
mandir=${prefix}/share/man
localedir=${datarootdir}/locale
infodir=${prefix}/share/info
datadir=${datarootdir}
m4dir=${datarootdir}/m4
includedir=${prefix}/include
localstatedir=/var
sharedstatedir=${prefix}/com
pkgincludedir=$includedir/$package
pkglibdir=$libdir/$package
pkgswigdir=$includedir/$package/swig
wrapperdir=$pkglibdir/wrappers
if test $installed = yes
then
cppflags="-I$pkgincludedir -I/usr/include/libxml2 -I/usr/include"
if test $win32 = 1
then
ldflags="-L$libdir/bin -L/usr/lib -L/usr/lib"
libs="-lOT-0 -lxml2 -lc"
else
ldflags="-L$pkglibdir -L/usr/lib -L/usr/lib"
libs="-lOT -lxml2 -lc"
fi
swigflags="-I$pkgswigdir "
else
cppflags=`echo ' -I$(top_srcdir)/../lib/include -I$(top_builddir)/../lib/include -I$(top_srcdir)/../lib/src -I$(top_srcdir)/../lib/src/Base -I$(top_srcdir)/../lib/src/Base/Common -I$(top_srcdir)/../lib/src/Base/Diff -I$(top_srcdir)/../lib/src/Base/Diff/Ev3 -I$(top_srcdir)/../lib/src/Base/Func -I$(top_srcdir)/../lib/src/Base/Func/MuParser -I$(top_srcdir)/../lib/src/Base/Func/SpecFunc -I$(top_srcdir)/../lib/src/Base/Graph -I$(top_srcdir)/../lib/src/Base/MetaModel -I$(top_srcdir)/../lib/src/Base/Optim -I$(top_srcdir)/../lib/src/Base/Optim/AbdoRackwitz -I$(top_srcdir)/../lib/src/Base/Optim/Cobyla -I$(top_srcdir)/../lib/src/Base/Optim/TNC -I$(top_srcdir)/../lib/src/Base/Optim/SQP -I$(top_srcdir)/../lib/src/Base/Solver -I$(top_srcdir)/../lib/src/Base/Stat -I$(top_srcdir)/../lib/src/Base/Type -I$(top_srcdir)/../lib/src/Base/Algo -I$(top_srcdir)/../lib/src/Uncertainty -I$(top_srcdir)/../lib/src/Uncertainty/Algorithm -I$(top_srcdir)/../lib/src/Uncertainty/Algorithm/Analytical -I$(top_srcdir)/../lib/src/Uncertainty/Algorithm/Experiments -I$(top_srcdir)/../lib/src/Uncertainty/Algorithm/OrthogonalBasis -I$(top_srcdir)/../lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation -I$(top_srcdir)/../lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/MarginalTransformation -I$(top_srcdir)/../lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafEllipticalCopula -I$(top_srcdir)/../lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafIndependentCopula -I$(top_srcdir)/../lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/NatafEllipticalDistribution -I$(top_srcdir)/../lib/src/Uncertainty/Algorithm/IsoProbabilisticTransformation/Rosenblatt -I$(top_srcdir)/../lib/src/Uncertainty/Algorithm/QuadraticCumul -I$(top_srcdir)/../lib/src/Uncertainty/Algorithm/MetaModel -I$(top_srcdir)/../lib/src/Uncertainty/Algorithm/MetaModel/FunctionalChaos -I$(top_srcdir)/../lib/src/Uncertainty/Algorithm/MetaModel/SVMRegression -I$(top_srcdir)/../lib/src/Uncertainty/Algorithm/Simulation -I$(top_srcdir)/../lib/src/Uncertainty/Algorithm/Simulation/StandardSpaceControlledImportanceSampling -I$(top_srcdir)/../lib/src/Uncertainty/Algorithm/Simulation/StandardSpaceImportanceSampling -I$(top_srcdir)/../lib/src/Uncertainty/Distribution -I$(top_srcdir)/../lib/src/Uncertainty/Model -I$(top_srcdir)/../lib/src/Uncertainty/StatTests ' | sed -e 's/\$(\([^)]*\))/${\1}/g'`
ldflags=`echo ' ' | sed -e 's/\$(\([^)]*\))/${\1}/g'`
libs=`echo ' $(top_builddir)/../lib/src/libOT.la ' | sed -e 's/\$(\([^)]*\))/${\1}/g'`
fi
CC="x86_64-linux-gnu-gcc"
CXX="x86_64-linux-gnu-g++"
F77="x86_64-linux-gnu-gfortran"
########################################
print_usage()
{
cat <<EOT
Usage: $0 [option]
where option is:
[misc]
--help This help
--installed Return non-zero value if project is not installed yet (development version)
[paths]
--prefix Print 'prefix' directory
--exec-prefix Print 'exec-prefix' directory
--bindir Print 'bindir' directory
--sbindir Print 'sbindir' directory
--libdir Print 'libdir' directory
--libexecdir Print 'libexecdir' directory
--sysconfdir Print 'sysconfdir' directory
--datarootdir Print 'datarootdir' directory
--mandir Print 'mandir' directory
--localedir Print 'localedir' directory
--infodir Print 'infodir' directory
--datadir Print 'datadir' directory
--includedir Print 'includedir' directory
--localstatedir Print 'localstatedir' directory
--sharedstatedir Print 'sharedstatedir' directory
--m4dir Print autoconf m4 directory
--wrapperdir Print wrappers directory
[project]
--version Print version number
--bugreport Print bug report mail
--package Print package name
[tools]
--R Print R path
--R-version Print R version
[flags]
--cppflags Print CPPFLAGS
--ldflags Print LDFLAGS
--libs Print LIBS
--swigflags Print SWIGFLAGS
--cc Print CC
--cxx Print CXX
--f77 Print F77
EOT
return 1
}
print_prefix()
{
echo ${prefix}
return 0
}
print_exec_prefix()
{
echo ${exec_prefix}
return 0
}
print_bindir()
{
echo ${bindir}
return 0
}
print_sbindir()
{
echo ${sbindir}
return 0
}
print_libdir()
{
echo ${libdir}
return 0
}
print_libexecdir()
{
echo ${libexecdir}
return 0
}
print_datarootdir()
{
echo ${datarootdir}
return 0
}
print_mandir()
{
echo ${mandir}
return 0
}
print_localedir()
{
echo ${localedir}
return 0
}
print_infodir()
{
echo ${infodir}
return 0
}
print_datadir()
{
echo ${datadir}
return 0
}
print_includedir()
{
echo ${includedir}
return 0
}
print_sysconfdir()
{
echo ${sysconfdir}
return 0
}
print_localstatedir()
{
echo ${localstatedir}
return 0
}
print_sharedstatedir()
{
echo ${sharedstatedir}
return 0
}
print_m4dir()
{
echo ${m4dir}
return 0
}
print_wrapperdir()
{
echo ${wrapperdir}
return 0
}
print_version()
{
echo ${version}
return 0
}
print_bugreport()
{
echo ${bugreport}
return 0
}
print_package()
{
echo ${package}
return 0
}
is_installed()
{
test $installed = yes && return 0
return 1
}
print_cppflags()
{
echo ${cppflags}
return 0
}
print_ldflags()
{
echo ${ldflags}
return 0
}
print_libs()
{
echo ${libs}
return 0
}
print_swigflags()
{
echo ${swigflags}
return 0
}
# print_swig()
# {
# echo ${swig}
# return 0
# }
# print_swig_version()
# {
# test -x ${swig} || return 1
# ${swig} -version | awk 'BEGIN {IGNORECASE=1;} /version/ && /[0-9]+\.[0-9]+\.[0-9]+/ {match($0,/[0-9]+\.[0-9]+\.[0-9]+/);print substr($0,RSTART,RLENGTH);}'
# return 0
# }
print_R()
{
echo ${R}
return 0
}
print_R_version()
{
test -x ${R} || return 1
${R} --version | awk 'BEGIN {IGNORECASE=1;} /version/ && /[0-9]+\.[0-9]+\.[0-9]+/ {match($0,/[0-9]+\.[0-9]+\.[0-9]+/);print substr($0,RSTART,RLENGTH);}'
return 0
}
print_CC()
{
echo ${CC}
return 0
}
print_CXX()
{
echo ${CXX}
return 0
}
print_F77()
{
echo ${F77}
return 0
}
########################################
# The return code of this script (0=OK, 1=Error)
rc=0
test $# != 1 && { print_usage ; rc=$? ; exit 1 ; }
opt=$1
case $opt in
"--help") print_usage ; rc=$? ;;
"--prefix") print_prefix ; rc=$? ;;
"--exec-prefix") print_exec_prefix ; rc=$? ;;
"--bindir") print_bindir ; rc=$? ;;
"--sbindir") print_sbindir ; rc=$? ;;
"--libdir") print_libdir ; rc=$? ;;
"--libexecdir") print_libexecdir ; rc=$? ;;
"--datarootdir") print_datarootdir ; rc=$? ;;
"--mandir") print_mandir ; rc=$? ;;
"--localedir") print_localedir ; rc=$? ;;
"--infodir") print_infodir ; rc=$? ;;
"--datadir") print_datadir ; rc=$? ;;
"--includedir") print_includedir ; rc=$? ;;
"--sysconfdir") print_sysconfdir ; rc=$? ;;
"--localstatedir") print_localstatedir ; rc=$? ;;
"--sharedstatedir") print_sharedstatedir ; rc=$? ;;
"--m4dir") print_m4dir ; rc=$? ;;
"--wrapperdir") print_wrapperdir ; rc=$? ;;
"--version") print_version ; rc=$? ;;
"--bugreport") print_bugreport ; rc=$? ;;
"--package") print_package ; rc=$? ;;
# "--swig") print_swig ; rc=$? ;;
# "--swig-version") print_swig_version ; rc=$? ;;
"--R") print_R ; rc=$? ;;
"--R-version") print_R_version ; rc=$? ;;
"--installed") is_installed ; rc=$? ;;
"--cppflags") print_cppflags ; rc=$? ;;
"--ldflags") print_ldflags ; rc=$? ;;
"--libs") print_libs ; rc=$? ;;
"--swigflags") print_swigflags ; rc=$? ;;
"--cc") print_CC ; rc=$? ;;
"--cxx") print_CXX ; rc=$? ;;
"--f77") print_F77 ; rc=$? ;;
*) print_usage ; rc=$? ; echo "Error: unknown option '$opt'" ;;
esac
exit $rc
|